<div class="container-body">
  <div class="title-page col-lg-12">
    <p> Edit <%= resource_name.to_s.humanize %> Profile</p>
  </div>
  <div class="row container-body-edit">
    <div class=" col-sm-6 col-sm-offset-3 col-lg-6 col-lg-offset-3"> 
      <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
        <div class="row container-body ">
          <div class="form-group">
              <div class=" form-group col-lg-6 col-lg-offset-3">
                <div id="image-upload" >
                  <i class="fa fa-window-close fa-2x close-icon" aria-hidden="true" id = "close-icon"></i>
                  <label for="file-input-avatar" class="label-upload" id="old-image">
                      <%= image_tag(current_user.avatar, class: "photo medium") %>
                  </label>
                  <label for="file-input-avatar" class="label-upload" id= "new-image">
                      <%= image_tag(current_user.avatar, class: "photo medium", id:"output-avatar") %>
                  </label>
                  <label for="file-input-avatar" class="label-upload" id = "upload-photo"  >
                      <i class="fa fa-plus" style="font-size:70px; color: #BDBDBD;" id = "plus-icon"></i>
                  </label>
                  <%= f.file_field :avatar, multiple: false, id: "file-input-avatar", onchange: "document.getElementById('output-avatar').src = window.URL.createObjectURL(this.files[0])", class: "form-group upload-img"%><br> 
                </div>
            </div>
          </div>
        </div>
        <% if resource.errors.any? %>
          <div class="alert alert-danger alert-dismissable">
            <%= resource.errors.full_messages.first %>
          </div>
        <% end %>
  
        <div>
          <p class="title-edit">Basic Information</p>
        </div>

        <div class="form-group">
          <%= f.label :first_name %><br />
          <%= f.text_field :first_name, autofocus: true, autocomplete: "first_name" , class: "form-control", required: true%>
        </div>


        <div class="form-group">
          <%= f.label :last_name %><br />
          <%= f.text_field :last_name, autofocus: false, autocomplete: "last_name" , class: "form-control", required: true%>
        </div>

        <div class="form-group">
          <%= f.label :email %><br />
          <%= f.email_field :email, autofocus: false, autocomplete: "email" , class: "form-control", required: true %>
        </div>
        
        <div class="form-group">
          <%= f.label :current_password %> <i>(we need your current password to confirm your changes)</i><br />
          <%= f.password_field :current_password, autocomplete: "off" , class: "form-control", required: true%>
        </div>

        <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
          <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
        <% end %>

        <div class="form-group">
          <%= f.label :password %> <i>(leave blank if you don't want to change it)</i><br />
          <%= f.password_field :password, autocomplete: "off", class: "form-control" %>
        </div>

        <div class="form-group">
          <%= f.label :password_confirmation %><i><%= " " + @minimum_password_length.to_s %> characters minimum</i><br />
          <%= f.password_field :password_confirmation, autocomplete: "off" , class: "form-control"%>
        </div>  

        <div class="actions col-lg-4 col-lg-offset-5">
          <%= f.submit "Update", class: "btn btn-lg btn-success" %>
        </div>
      <% end %>

      <div class="col-lg-12 col-sm-12">
        <p><%= button_to "Delete my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete, class: "btn btn-danger btn-md" %></p>

        <%= link_to "Back", :back, class: "btn btn-info" %>
       
      </div>
    </div>
  </div>
</div>



